Bug 121840 - switchdesk from Preferences menu does nothing
switchdesk from Preferences menu does nothing
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: switchdesk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ngo Than
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-28 11:23 EDT by Gerry Tool
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-26 16:53:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerry Tool 2004-04-28 11:23:55 EDT
Description of problem:  When I select the icon for Desktop Switching
Tool from the Preferences > More Preferences menu (or from the Start
Here method) nothing happens


Version-Release number of selected component (if applicable):
switchdesk-gui-4.0.2-1

How reproducible: Always


Steps to Reproduce:
1.Select menu Preferences > More Preferences
2.Click on Desktop Switching Tool
3.
  
Actual results: Nothing happens


Expected results: Dialog to select desktop should appear


Additional info: I did a fresh custom install of FC2 Test3, looking
through all the packages.  I either missed or did not find a selection
for Desktop Switching.  I later installed it using up2date.
Comment 1 Andrew Farris 2004-04-29 15:21:09 EDT
Run the command 'switchdesk' from a terminal and verify whether there
is any output from python.

In my case it exits with this traceback:
Traceback (most recent call last):
  File "/usr/share/switchdesk/switchdesk-gui.py", line 36, in ?
    from backend import *
  File "/usr/share/switchdesk/backend.py", line 18
    PROGNAME = @NAME@
               ^
SyntaxError: invalid syntax
Comment 2 Gerry Tool 2004-04-29 17:54:59 EDT
Did as suggested in Comment # 1.  Output below:

[gerry@gstpc gerry]$ switchdesk
Red Hat Linux switchdesk 4.0
Copyright (C) 1999-2004 Red Hat, Inc
Redistributable under the terms of the GNU General Public License
Traceback (most recent call last):
  File "/usr/share/switchdesk/switchdesk-gui.py", line 36, in ?
    from backend import *
  File "/usr/share/switchdesk/backend.py", line 18
    PROGNAME = @NAME@
               ^
SyntaxError: invalid syntax
Comment 3 Ngo Than 2004-04-30 09:26:13 EDT
It's fixed in 4.0.3-1. Many thanks for your report.
Comment 4 Gerry Tool 2004-05-01 11:05:40 EDT
Thanks for fixing it.  I just downloaded and tried 4.0.3.1 and indeed
it works.
Comment 5 Gerry Tool 2004-05-01 11:14:56 EDT
Oops, just one small detail.  If you are in Gnome, and open the gui
desktop switching tool, you must select KDE to go there on next login.
 That works just fine.

However, if you are in KDE and want to use Gnome next login, the radio
button is already selecting Gnome, so if you click OK, you expect the
next login to be for Gnome.  Unless you first select something else
and then reselect Gnome before clicking OK, you will log back into KDE
the next time.
Comment 6 David Collantes 2004-05-01 20:31:15 EDT
Where to get 4.0.3-1? It is not coming down with yum or up2date...
Comment 7 Ngo Than 2004-05-26 16:53:44 EDT
Gerry Tool:
this problem is now fixed in 4.0.4-1.

David Collantes:
the new version will be showed up in rawhide. I don't plan to
make update for FC2 ATM.
Comment 8 Ngo Than 2004-05-26 16:56:09 EDT
you have to reconfigure your WM with 4.0.4-1 first to take effect

Note You need to log in before you can comment on or make changes to this bug.